#
# spec file for package libcfile
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libcfile
%define lname	libcfile1
%define timestamp 20150101
Version:        0~%timestamp
Release:        4.5
Summary:        Library for cross-platform C file functions
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
Url:            https://github.com/libyal/libcfile/wiki
Source:         https://github.com/libyal/libcfile/releases/download/%timestamp/%{name}-alpha-%timestamp.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20130609
BuildRequires:  pkgconfig(libclocale) >= 20130609
BuildRequires:  pkgconfig(libcnotify) >= 20130103
BuildRequires:  pkgconfig(libcstring) >= 20150101
# This can cause a build loop.  The internal version should be used.
#BuildRequires:  pkgconfig(libuna) >= 20120425
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library and devel package for cross-platform C file functions.

%package -n %lname
Summary:        Library for cross-platform C file functions
Group:          System/Libraries

%description -n %lname
A library for cross-platform C file functions. Part of the libyal library collection.

%package devel
Summary:        Development files for libcfile, a cross-platform C file library
Group:          Development/Libraries/C and C++
Requires:       %lname = %{version}

%description devel
A library for cross-platform C file functions.
 
This subpackage contains libraries and header files for developing
applications that want to make use of libcfile.

%prep
%setup -qn libcfile-%timestamp

%build
%configure --disable-static --enable-wide-character-type
make %{?_smp_mflags}

%install
%make_install
rm -f "%{buildroot}/%{_libdir}"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libcfile.so.1*

%files devel
%defattr(-,root,root)
%{_includedir}/libcfile*
%{_libdir}/libcfile.so
%{_libdir}/pkgconfig/libcfile.pc
%{_mandir}/man3/libcfile.3*

%changelog
* Mon Jan  5 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to 0~20140624
  * code clean up
  * worked on non-blocking Windows device file support
  * worked on block-based read to support Windows device files
  * worked on dynamic late binding functions
  * small changes
  * Fix for devices that don't support fadvice
  * 2014 update
  * updated dependencies
* Tue Dec  3 2013 coolo@suse.com
- don't buildrequire ourselves
* Wed Oct 23 2013 Greg.Freemyer@gmail.com
- update to v0~20130809
  * bug fix for file access behavior
- update BuildRequires to use factory versions of packages when possible
* Mon Jul 29 2013 Greg.Freemyer@gmail.com
- update to v0~20130609
  * fix in .pc.in file
  * updated dependencies
  * removed WINAPI CRT function fallbacks
  * changes to ioctl detection in configure
  * textual changes
- change to gz compression to simplyfy download/convert step
* Mon Apr 22 2013 Greg.Freemyer@gmail.com
- add BuildRequires: libcnotify
- run spec-cleaner
* Wed Apr  3 2013 jengelh@inai.de
- Initial package (version 0~20130329) for build.opensuse.org
